import { createApp } from 'vue'
import {createRouter, createWebHistory} from "vue-router";
import './index.css'
import './styles.css'
import App from './App.vue'
import Home from "./components/Home.vue";
import About from "./components/About.vue";
import FortranIndex from "./components/Fortran/Fortran_Index.vue";
import PascalIndex from "./components/Pascal/Pascal_Index.vue";
import LispIndex from "./components/Lisp/Lisp_Index.vue";
import FortranReadingFiles from "./components/Fortran/Fortran_Reading_Files.vue";
import FortranHelloWorld from "./components/Fortran/Fortran_Hello_World.vue";
import FortranSetUp from "./components/Fortran/Fortran_Set_Up.vue";

const router = createRouter({
    history: createWebHistory(),
    routes: [
        {path: '/', name: 'Home', component: Home},
        {path: '/About', name: 'About', component: About},

        {path: '/Fortran', name: 'Fortran', component: FortranIndex},
        {path: '/Fortran/SetUp', name: 'SetUp', component: FortranSetUp},
        {path: '/Fortran/HelloWorld', name: 'HelloWorld', component: FortranHelloWorld},
        {path: '/Fortran/ReadingAFile', name: 'ReadingAFile', component: FortranReadingFiles},

        {path: '/Pascal', name: 'Pascal', component: PascalIndex},


        {path: '/Lisp', name: 'Lisp', component: LispIndex}


    ]
})

createApp(App).use(router).mount('#app')
